Package org.eclipse.draw2d.geometry

# Interface Translatable

All Known Implementing Classes:
  `AbsoluteBendpoint`, `CaretInfo`, `Dimension`, `Point`, `PointList`, `PrecisionDimension`, `PrecisionPoint`, `PrecisionPointList`, `PrecisionRectangle`, `Rectangle`

public interface Translatable
A translatable object can be translated (or moved) vertically and/or horizontally.

## Method Summary

Modifier and Type
Method
Description
`void`
`performScale(double factor)`
Scales this object by the scale factor.
`void`
`performTranslate(int dx, int dy)`
Translates this object horizontally by `dx` and vertically by `dy`.
`default void`
`performTranslate(Dimension dimension)`
Translates this object horizontally by `dimension.width` and vertically by `dimension.height`.
`default void`
`performTranslate(Insets insets)`
Translates this object horizontally by `insets.left` and vertically by `insets.top`.
`default void`
`performTranslate(Point point)`
Translates this object horizontally by `point.x` and vertically by `point.y`.

## Method Details

### performTranslate

default void performTranslate(Point point)
Translates this object horizontally by `point.x` and vertically by `point.y`.

Parameters:
  `point` - Point which provides translation information
Since:
  3.13

### performTranslate

default void performTranslate(Dimension dimension)
Translates this object horizontally by `dimension.width` and vertically by `dimension.height`.

Parameters:
  `dimension` - Dimension which provides translation information
Since:
  3.13

### performTranslate

default void performTranslate(Insets insets)
Translates this object horizontally by `insets.left` and vertically by `insets.top`.

Parameters:
  `insets` - Insets which provides translation information
Since:
  3.13

### performTranslate

void performTranslate(int dx, int dy)
Translates this object horizontally by `dx` and vertically by `dy`.

Parameters:
  `dx` - The amount to translate horizontally
  `dy` - The amount to translate vertically
Since:
  2.0

### performScale

void performScale(double factor)
Scales this object by the scale factor.

Parameters:
  `factor` - The scale factor
Since:
  2.0